Bug 886564 - pulpv2 server does not support pulpv1 clients/agents
pulpv2 server does not support pulpv1 clients/agents
Status: CLOSED WONTFIX
Product: Pulp
Classification: Community
Component: consumers (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks: katello-v2-pulp
  Show dependency treegraph
 
Reported: 2012-12-12 10:06 EST by Brad Buckingham
Modified: 2013-02-05 12:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 10:20:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2012-12-12 10:06:29 EST
Description of problem:

The Katello project is planning to migrate to pulpv2.  It is possible that there are tens, hundreds or thousands of consumers registered to a given Katello instance when the server is upgraded.  Each of those consumers would be running the pulpv1 version of the agent.  This agent allows the consumers to receive package/package group/errata actions initiated from the server.  

Based on brief discussion with some Katello stakeholders, the expectation was that the pulpv2 server would interact with the older agents; however, this appears not to be the case.  As a result, with the current implementation, admins would need to manually upgrade the agent on each of the consumers registered to Katello.

Version-Release number of selected component (if applicable):
pulpv2 beta
Comment 1 Jay Dobies 2013-02-05 10:20:02 EST
Last we discussed this, we decided this wasn't going to be addressed. Closing out as won't fix.

Note You need to log in before you can comment on or make changes to this bug.